Bug 176898 - gcc build should require libXtst-devel
gcc build should require libXtst-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-03 22:41 EST by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.0-0.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 05:10:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2006-01-03 22:41:08 EST
Description of problem:
I was trying to rebuild the gcc src.rpm today and I got the error below;
>>
checking for glib-2.0 >= 2.4 gthread-2.0 >= 2.4... yes
checking GLIB_CFLAGS... -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
checking GLIB_LIBS... -pthread -lgthread-2.0 -lglib-2.0
checking for libart-2.0 >= 2.1... yes
checking LIBART_CFLAGS... -I/usr/include/libart-2.0
checking LIBART_LIBS... -lart_lgpl_2
checking for XTestQueryExtension in -lXtst... no
configure: error: libXtst not found, required by java.awt.Robot
make[2]: *** [configure-target-libjava] Error 1
make[2]: Leaving directory
`/home/deji/rpm/BUILD/gcc-4.1.0-20051222/obj-i686-redhat-linux'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/home/deji/rpm/BUILD/gcc-4.1.0-20051222/obj-i686-redhat-linux'
make: *** [bootstrap] Error 2
error: Bad exit status from /home/deji/rpm/tmp/rpm-tmp.16088 (%build)
<<
After I install libXtst-devel, build was successful. So i guess libXtst-devel
ought to be added to the gcc rpm spec BRs.

Version-Release number of selected component (if applicable): gcc-4.1.0-0.12.src.rpm


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Jelinek 2006-01-04 05:10:39 EST
Checked into cvs, will show up in 4.1.0-0.13 whenever it is built.

Note You need to log in before you can comment on or make changes to this bug.